const app = getApp()

Component({
  properties: {
    // 导航栏标题
    name: {
      type: String,
      value: ''
    },
    // 是否显示返回按钮
    is_back: {
      type: Boolean,
      value: true
		},
    // 是否固定导航栏
		fixed: {
			type: Boolean,
      value: false
		}
  },

  data: {
  },

  lifetimes: {
    // 在组件实例进入页面节点树时执行
    attached: function() {
      this.setData({
        menuBtnHeight: app.globalData.menuBtnHeight,
        navHeight: app.globalData.navHeight,
        navTop: app.globalData.navTop
      })
    },
    // 在组件实例被从页面节点树移除时执行
    detached: function() {}
  },

  methods: {
    navBack() {
      wx.navigateBack()
    }
  }
})